Deployment service
POST
The request body should be a serialized DeploymentServiceRequest (string). The response body will also be serialized (string). The request-response mappings are as follows:
- CreateStudyDeployment -> StudyDeploymentStatus
- RemoveStudyDeployments -> UUID[]
- GetStudyDeploymentStatus -> StudyDeploymentStatus
- GetStudyDeploymentStatusList -> StudyDeploymentStatus[]
- RegisterDevice -> StudyDeploymentStatus
- UnregisterDevice -> StudyDeploymentStatus
- GetDeviceDeploymentFor -> PrimaryDeviceDeployment
- DeviceDeployed -> StudyDeploymentStatus
- Stop -> StudyDeploymentStatus
bearerheader
AuthorizationBearer <token>Provide the username and password of the user
application/json- body
id*protocol*invitations*array<>connectedDevicePreregistrations*apiVersion*responseSerializer*OK
*/*- response
remainingDevicesToRegister*array<>remainingDevicesReadyToDeploy*array<>studyDeploymentId*deviceStatusList*array<||||>participantStatusList*array<>createdOn*startedOn?curl -X POST 'https://dev.carp.dk/api/deployment-service' \ -H 'Content-Type: application/json' \ -d '{ "id": {}, "protocol": {}, "invitations": [ { "participantId": {}, "assignedRoles": null, "identity": null, "invitation": { "name": "string" } } ], "connectedDevicePreregistrations": {}, "apiVersion": { "major": 0, "minor": 0 }, "responseSerializer": { "descriptor": { "annotations": [ {} ], "serialName": "string", "elementsCount": 0, "isInline": true, "kind": null, "isNullable": true } }}'Example response
{ "remainingDevicesToRegister": [ { "roleName": "string", "supportedDataTypes": [ { "namespace": "string", "name": "string" } ], "dataTypeSamplingSchemes": { "keyOf": null, "values": [ { "dataType": { "type": { "namespace": "string", "name": "string" }, "displayName": "string", "timeType": "POINT" }, "default": null } ], "empty": true, "size": 0, "entries": [ { "value": { "dataType": { "type": { "namespace": "string", "name": "string" }, "displayName": "string", "timeType": "POINT" }, "default": null }, "key": { "namespace": "string", "name": "string" } } ], "keys": [ { "namespace": "string", "name": "string" } ], "property1": { "dataType": { "type": { "namespace": "string", "name": "string" }, "displayName": "string", "timeType": "POINT" }, "default": null }, "property2": { "dataType": { "type": { "namespace": "string", "name": "string" }, "displayName": "string", "timeType": "POINT" }, "default": null } }, "defaultSamplingConfiguration": { "property1": null, "property2": null }, "registrationClass": { "inner": true, "fun": true, "visibility": "PUBLIC", "qualifiedName": "string", "sealedSubclasses": [ {} ], "members": [ { "suspend": true, "visibility": "PUBLIC", "name": "string", "typeParameters": [ { "variance": "INVARIANT", "reified": true, "upperBounds": [ { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] } ], "name": "string" } ], "returnType": { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] }, "final": true, "open": true, "parameters": [ { "vararg": true, "optional": true, "kind": "INSTANCE", "name": "string", "type": { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] }, "index": 0, "annotations": [ null ] } ], "abstract": true, "annotations": [ null ] } ], "companion": true, "data": true, "nestedClasses": [ {} ], "supertypes": [ { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] } ], "typeParameters": [ { "variance": "INVARIANT", "reified": true, "upperBounds": [ { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] } ], "name": "string" } ], "simpleName": "string", "final": true, "open": true, "constructors": [ { "operator": true, "infix": true, "suspend": true, "inline": true, "external": true, "visibility": "PUBLIC", "name": "string", "typeParameters": [ { "variance": "INVARIANT", "reified": true, "upperBounds": [ { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] } ], "name": "string" } ], "returnType": { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] }, "final": true, "open": true, "parameters": [ { "vararg": true, "optional": true, "kind": "INSTANCE", "name": "string", "type": { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] }, "index": 0, "annotations": [ null ] } ], "abstract": true, "annotations": [ null ] } ], "sealed": true, "abstract": true, "objectInstance": null, "value": true, "annotations": [ null ] }, "optional": true } ], "remainingDevicesReadyToDeploy": [ { "primaryDevice$dk_cachet_carp_common_carp_common": true, "roleName": "string", "supportedDataTypes": [ { "namespace": "string", "name": "string" } ], "dataTypeSamplingSchemes": { "keyOf": null, "values": [ { "dataType": { "type": { "namespace": "string", "name": "string" }, "displayName": "string", "timeType": "POINT" }, "default": null } ], "empty": true, "size": 0, "entries": [ { "value": { "dataType": { "type": { "namespace": "string", "name": "string" }, "displayName": "string", "timeType": "POINT" }, "default": null }, "key": { "namespace": "string", "name": "string" } } ], "keys": [ { "namespace": "string", "name": "string" } ], "property1": { "dataType": { "type": { "namespace": "string", "name": "string" }, "displayName": "string", "timeType": "POINT" }, "default": null }, "property2": { "dataType": { "type": { "namespace": "string", "name": "string" }, "displayName": "string", "timeType": "POINT" }, "default": null } }, "defaultSamplingConfiguration": { "property1": null, "property2": null }, "registrationClass": { "inner": true, "fun": true, "visibility": "PUBLIC", "qualifiedName": "string", "sealedSubclasses": [ {} ], "members": [ { "suspend": true, "visibility": "PUBLIC", "name": "string", "typeParameters": [ { "variance": "INVARIANT", "reified": true, "upperBounds": [ { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] } ], "name": "string" } ], "returnType": { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] }, "final": true, "open": true, "parameters": [ { "vararg": true, "optional": true, "kind": "INSTANCE", "name": "string", "type": { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] }, "index": 0, "annotations": [ null ] } ], "abstract": true, "annotations": [ null ] } ], "companion": true, "data": true, "nestedClasses": [ {} ], "supertypes": [ { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] } ], "typeParameters": [ { "variance": "INVARIANT", "reified": true, "upperBounds": [ { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] } ], "name": "string" } ], "simpleName": "string", "final": true, "open": true, "constructors": [ { "operator": true, "infix": true, "suspend": true, "inline": true, "external": true, "visibility": "PUBLIC", "name": "string", "typeParameters": [ { "variance": "INVARIANT", "reified": true, "upperBounds": [ { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] } ], "name": "string" } ], "returnType": { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] }, "final": true, "open": true, "parameters": [ { "vararg": true, "optional": true, "kind": "INSTANCE", "name": "string", "type": { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] }, "index": 0, "annotations": [ null ] } ], "abstract": true, "annotations": [ null ] } ], "sealed": true, "abstract": true, "objectInstance": null, "value": true, "annotations": [ null ] }, "optional": true } ], "studyDeploymentId": { "stringRepresentation": "string" }, "deviceStatusList": [ { "canObtainDeviceDeployment": true, "canBeDeployed": true, "device": { "roleName": "string", "supportedDataTypes": [ { "namespace": "string", "name": "string" } ], "dataTypeSamplingSchemes": { "keyOf": null, "values": [ { "dataType": { "type": { "namespace": "string", "name": "string" }, "displayName": "string", "timeType": "POINT" }, "default": null } ], "empty": true, "size": 0, "entries": [ { "value": { "dataType": { "type": { "namespace": "string", "name": "string" }, "displayName": "string", "timeType": "POINT" }, "default": null }, "key": { "namespace": "string", "name": "string" } } ], "keys": [ { "namespace": "string", "name": "string" } ], "property1": { "dataType": { "type": { "namespace": "string", "name": "string" }, "displayName": "string", "timeType": "POINT" }, "default": null }, "property2": { "dataType": { "type": { "namespace": "string", "name": "string" }, "displayName": "string", "timeType": "POINT" }, "default": null } }, "defaultSamplingConfiguration": { "property1": null, "property2": null }, "registrationClass": { "inner": true, "fun": true, "visibility": "PUBLIC", "qualifiedName": "string", "sealedSubclasses": [ {} ], "members": [ { "suspend": true, "visibility": "PUBLIC", "name": "string", "typeParameters": [ { "variance": "INVARIANT", "reified": true, "upperBounds": [ { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] } ], "name": "string" } ], "returnType": { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] }, "final": true, "open": true, "parameters": [ { "vararg": true, "optional": true, "kind": "INSTANCE", "name": "string", "type": { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] }, "index": 0, "annotations": [ null ] } ], "abstract": true, "annotations": [ null ] } ], "companion": true, "data": true, "nestedClasses": [ {} ], "supertypes": [ { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] } ], "typeParameters": [ { "variance": "INVARIANT", "reified": true, "upperBounds": [ { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] } ], "name": "string" } ], "simpleName": "string", "final": true, "open": true, "constructors": [ { "operator": true, "infix": true, "suspend": true, "inline": true, "external": true, "visibility": "PUBLIC", "name": "string", "typeParameters": [ { "variance": "INVARIANT", "reified": true, "upperBounds": [ { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] } ], "name": "string" } ], "returnType": { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] }, "final": true, "open": true, "parameters": [ { "vararg": true, "optional": true, "kind": "INSTANCE", "name": "string", "type": { "markedNullable": true, "arguments": [ { "variance": "INVARIANT", "type": {} } ], "classifier": null, "annotations": [ null ] }, "index": 0, "annotations": [ null ] } ], "abstract": true, "annotations": [ null ] } ], "sealed": true, "abstract": true, "objectInstance": null, "value": true, "annotations": [ null ] }, "optional": true } } ], "participantStatusList": [ { "participantId": { "stringRepresentation": "string" }, "assignedParticipantRoles": null, "assignedPrimaryDeviceRoleNames": [ "string" ] } ], "createdOn": { "epochSeconds": 0, "nanosecondsOfSecond": 0 }, "startedOn": { "epochSeconds": 0, "nanosecondsOfSecond": 0 }}